summaryrefslogtreecommitdiffstats
path: root/scripts/repo-remove.sh.in
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2007-07-15 16:29:26 +0200
committerDan McGee <dan@archlinux.org>2007-07-15 16:29:26 +0200
commit66b09410b4da950d4be95128333128fdb2658b3c (patch)
treeba4913210e3b2401e96f62a7738e58e8c1fc3363 /scripts/repo-remove.sh.in
parentf0ea21cffca62c566c5e4d2c540c70fb891b9f4c (diff)
downloadpacman-66b09410b4da950d4be95128333128fdb2658b3c.tar.gz
pacman-66b09410b4da950d4be95128333128fdb2658b3c.tar.xz
Switch repo-add, repo-remove, and pacman-optimize to bsdtar
Relatively straightforward fixes (s/tar/bsdtar/g, add hyphens to options). Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts/repo-remove.sh.in')
-rw-r--r--scripts/repo-remove.sh.in10
1 files changed, 5 insertions, 5 deletions
diff --git a/scripts/repo-remove.sh.in b/scripts/repo-remove.sh.in
index 63209728..7943b2b8 100644
--- a/scripts/repo-remove.sh.in
+++ b/scripts/repo-remove.sh.in
@@ -52,7 +52,7 @@ There is NO WARRANTY, to the extent permitted by law.\n")"
# test if a file is a repository DB
test_repo_db_file () {
if [ -f "$REPO_DB_FILE" ]; then
- [ "$(tar tf "$REPO_DB_FILE" | grep -c "/desc")" -gt 0 ] || return 1
+ [ "$(bsdtar -tf "$REPO_DB_FILE" | grep -c "/desc")" -gt 0 ] || return 1
else
true
fi
@@ -120,7 +120,7 @@ if [ $# -gt 1 ]; then
exit 1
elif [ -f "$REPO_DB_FILE" ]; then
echo "$(gettext ":: extracting database to a temporary location")"
- tar xf "$REPO_DB_FILE" -C "$gstmpdir"
+ bsdtar -xf "$REPO_DB_FILE" -C "$gstmpdir"
fi
else
echo "$(gettext ":: searching for package '%s'")"
@@ -143,10 +143,10 @@ if [ $# -gt 1 ]; then
[ -f "${REPO_DB_FILE}.old" ] && rm "${REPO_DB_FILE}.old"
[ -f "$REPO_DB_FILE" ] && mv "$REPO_DB_FILE" "${REPO_DB_FILE}.old"
case "$DB_COMPRESSION" in
- gz) tar c * | gzip -9 >$REPO_DB_FILE ;;
- bz2) tar c * | bzip2 -9 >$REPO_DB_FILE ;;
+ gz) bsdtar -c * | gzip -9 >$REPO_DB_FILE ;;
+ bz2) bsdtar -c * | bzip2 -9 >$REPO_DB_FILE ;;
*) echo "$(gettext "warning: no compression set")"
- tar c * >$REPO_DB_FILE;;
+ bsdtar -c * >$REPO_DB_FILE;;
esac
fi
else